fix_base.h File Reference

Definitions of a base class for fixed-point data types. More...

`#include <itpp/base/ittypes.h>`
`#include <itpp/stat/misc_stat.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Classes

class | itpp::Fix_Base
| Base class for fixed-point data types. More...

## Namespaces

| itpp
| itpp namespace

## Typedefs

typedef int64_t | itpp::fixrep
| Representation for fixed-point data types.

## Enumerations

enum | itpp::e_mode { itpp::TC, itpp::US }
| Sign encoding modes (aligned with SystemC) More...
enum | itpp::o_mode { itpp::SAT, itpp::SAT_ZERO, itpp::SAT_SYM, itpp::WRAP, itpp::WRAP_SM }
| Overflow modes (aligned with SystemC) More...
enum | itpp::q_mode { itpp::RND, itpp::RND_ZERO, itpp::RND_MIN_INF, itpp::RND_INF, itpp::RND_CONV, itpp::RND_CONV_ODD, itpp::TRN, itpp::TRN_ZERO }
| Quantization modes (aligned with SystemC) More...
enum | itpp::output_mode { itpp::OUTPUT_FIX, itpp::OUTPUT_FIX_SHIFT, itpp::OUTPUT_FLOAT, itpp::OUTPUT_FLOAT_SHIFT }
| Output modes. More...

## Functions

std::ostream & | itpp::operator<< (std::ostream &os, const output_mode &o)
| Set output mode.

## Variables

const int | itpp::MAX_WORDLEN = 64
| Max word length.
const uint64_t | itpp::UINT64_POW2 [64]
| Table for fast multiplication or division by 2^n. More...
const double | itpp::DOUBLE_POW2 [128]
| Table for fast multiplication by 2^(n-64)

## Detailed Description

Definitions of a base class for fixed-point data types.

Author
  Johan Bergman

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file fix_base.h.

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17